# Functor CamomileLibrary.Type.StringPrep.Make

    module Make: functor (Text : CamomileLibrary.Type.UnicodeString.Type) -> Type  with type text = Text.t

Parameters:

`Text` | : | `CamomileLibrary.Type.UnicodeString.Type`

    type text

    exception Prohibited of CamomileLibrary.UChar.t

    exception Bad_bidi

    type profile = [ `Iscsi | `Mib | `Nameprep | `Nodeprep | `Resourceprep | `Saslprep | `Trace ]

    val stringprep : profile ->
           text -> text